Алексей Романов (Все сообщения пользователя)

Выбрать дату в календареВыбрать дату в календаре

Страницы: Пред. 1 2 3 4 5 6 7 8 9 10 11 ... 117 След.
Вопросы от новичка, Последовательность проектирования
[QUOTE]n0b0dy пишет:
хотелось бы чтобы в поле "Сметная стоимость" ... прописывалась стоимость равная масса детали умноженная на рубли.[/QUOTE]Попробуй правило на iLogic:[CODE]ThisDoc.Document.PropertySets.Item("Design Tracking Properties").Item("Cost").Value = Round(iProperties.Mass, 3) * 55[/CODE]
Вопросы от новичка, Последовательность проектирования
[QUOTE]n0b0dy пишет:
Кто-нибудь вобще этим заморачивался?[/QUOTE]Было такое дело, токо я через реестр (то же самое), потом отказался, АИ начинает глючить, вплоть до переустановки... В последних версиях доска так намутила с материалами, сейчас по Акадовской привычке использую тему Контрастная (с темным фоном), да и с эскизами там получше...
Вопросы от новичка, Последовательность проектирования
[QUOTE]n0b0dy пишет:
Возник вопрос: некорректно работает вставка шпонок (Inventor 2015), у всех такую ошибку кидает? [/QUOTE]Да, у мну в 2016 тоже в 3-х семействах шпонок нет)))
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Алексей Семёнов пишет:
осталось её только привязать к таблице и перехватить действие при вставке в сборку. [/QUOTE]Привязать к таблице несложно, в цикле пробежать по строкам и заполнить значениями нужных столбцов соответстующие комбобоксы...
Я уже приводил пару раз пример на VBA динамической вставки (в положение курсора мыши) деталей в сборку, поищи...
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Алексей Семёнов пишет:
Помогите пожалуйста по VBA.[/QUOTE]Здесь тема про iLogic, такие вопросы лучше отдельной темой...
А в чем проблемы? Форму в визуальном редакторе создать (скрин)? В справке VBA есть готовый пример, как вставить исполнение параметрической детали через API:[CODE]Public Sub AddiPartOccurrence()
   ' Open the factory document invisible.
   Dim oFactoryDoc As PartDocument
   Set oFactoryDoc = ThisApplication.Documents.Open("C:\temp\iPartFactory.ipt", False)

   ' Set a reference to the component definition.
   Dim oCompDef As PartComponentDefinition
   Set oCompDef = oFactoryDoc.ComponentDefinition

   ' Make sure we have an iPart factory.
   If oCompDef.IsiPartFactory = False Then
       MsgBox "Chosen document is not a factory.", vbExclamation
       Exit Sub
   End If

   ' Set a reference to the factory.
   Dim oiPartFactory As iPartFactory
   Set oiPartFactory = oCompDef.iPartFactory

   ' Get the number of rows in the factory.
   Dim iNumRows As Integer
   iNumRows = oiPartFactory.TableRows.Count

   ' Create a new assembly document
   Dim oDoc As AssemblyDocument
   Set oDoc = ThisApplication.Documents.Add(kAssemblyDocumentObject, , True)

   Dim oOccs As ComponentOccurrences
   Set oOccs = oDoc.ComponentDefinition.Occurrences

   Dim oPos As Matrix
   Set oPos = ThisApplication.TransientGeometry.CreateMatrix

   Dim oStep As Double
   oStep = 0#
   Dim iRow As Long

   ' Add an occurrence for each member in the factory.
   For iRow = 1 To iNumRows

       oStep = oStep + 10

       ' Add a translation along X axis
       oPos.SetTranslation ThisApplication.TransientGeometry.CreateVector(oStep, oStep, 0)

       Dim oOcc As ComponentOccurrence
       Set oOcc = oOccs.AddiPartMember("C:\temp\iPartFactory.ipt ", oPos, iRow)
   Next
End Sub
[/CODE]
frm.png (43.93 КБ)
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Николай Мезенцев пишет:
Можно ли в чертеже через i-logic заполнять вставленную таблицу?[/QUOTE]А что за таблица? Если просто пустая таблица, то можно через VBA (проще) или iLogic (сложнее)...
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Алексей Семёнов пишет:
Есть параметрическая сборка. необходимо что бы при выборе строки в таблице(1).
У детали входящей в сборку(2) изменялось значение инвентарного номера. [/QUOTE]Да уж, огород небольшой получается... Средствами iLogic в деталях сборки можно достать только параметры.
В детали создается текстовый параметр (например "Sn"), так как он не экспортируется в свойства, городим правило:[CODE]iProperties.Value("Custom", "Stock") = Sn[/CODE]. "Stock" - это польз. свойство, его через формулу загоняем в Инвентарный номер детали: =<Stock>. Это правило не надо вешать на события, работает автоматом.
В сборке в таблицу вытаскиваем любое свободное свойство (например тот же Инвентарный номер). Городим правило:[CODE]oVal = ThisDoc.Document.ComponentDefinition.iAssemblyFactory.DefaultRow.Item(4).Value
Parameter("Реле РУ-21...:1", "Sn") = oVal[/CODE]Вешаем на какое-нибудь событие...
Наверное есть путь покороче, но это как в случае: Извините, что длинно написал, покороче - нет времени)))
Вопрос к знатокам iLogic, Размеры детали.
Да уж)))[CODE]Try
  aa = iProperties.Value("Project", "Part Number")
  bb = Parameter.Param(aa)
  Parameter.Param("G_T").Expression = aa
Catch
  'MessageBox.Show("Такого параметра нет" & aa, "Title")
End Try[/CODE]
Вопрос к знатокам iLogic, Размеры детали.
Хех! А я смотрю, почему название параметра обведено? Просто текст в числовой параметр не запихаешь, G_T должен быть создан, как текстовый параметр))) Попробуй так:[CODE]Try
aa = iProperties.Value("Project", "Part Number")
bb = Parameter.Param(aa)
G_T = aa
Catch
'MessageBox.Show("Такого параметра нет", "Title")
End Try[/CODE]UPD а на какое событие вешается правило? У меня вроде все работает (событие изменение свойств)
Изменено: Алексей Романов - 27.08.2017 08:20:37
Вопрос к знатокам iLogic, Размеры детали.
[b]kvint62,[/b] попробуй что нибудь такое:[CODE]Try
aa = iProperties.Value("Project", "Part Number")
G_T = Parameter.Param(aa).Value * 10
Catch
MessageBox.Show("Такого параметра нет", "Title")
End Try[/CODE]
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]sbabinsky пишет:
Я пытался применить iLogic не владея VBA. Увы. [/QUOTE]Понятно, скачал ящик, великий труд, надо сказать я бы сделал все это на VBA, конечно. Но что есть, то есть.
Правило Детализация срабатывает два раза, когда активен чертеж, возникает ошибка. Попробуй отсечь второе срабатывание типа этого:[CODE]If ThisApplication.ActiveDocumentType = DocumentTypeEnum.kAssemblyDocumentObject
oACD = ThisApplication.ActiveDocument.ComponentDefinition
Name = oACD.RepresentationsManager.ActiveLevelOfDetailRepresentation.Name
If Name <> "Уровень детализации1" Then
oACD.RepresentationsManager.LevelOfDetailRepresentations.Item("Уровень детализации1").Activate
End If
iLogicVb.UpdateWhenDone = True
End If[/CODE]При создании чертежа форма еще раз выскакивает, так и задумано?
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]sbabinsky пишет:
Если открываешь файл вручную, встает та детализация в которой сохранен. А если программно, только главная. [/QUOTE]
Отрыть документ программно, та еще задача, там не все так просто))) В справке VBA есть похожий пример: Open assembly using last level of detail. API Sample, код:[CODE]Public Sub OpenDocumentInLastActiveLOD()
   Dim strFullFileName As String
   strFullFileName = "C:\temp\Assembly1.iam"
   
   ' Set a reference to the FileManager object.
   Dim oFileManager As FileManager
   Set oFileManager = ThisApplication.FileManager
   
   ' Get the name of the last active Level of Detail (LOD) Representation.
   Dim strLastActiveLOD As String
   strLastActiveLOD = oFileManager.GetLastActiveLevelOfDetailRepresentation(strFullFileName)
   
   ' Use the full file name and LOD name to get the full document name.
   Dim strFullDocumentName As String
   strFullDocumentName = oFileManager.GetFullDocumentName(strFullFileName, strLastActiveLOD)
   
   ' Open the document in the last active LOD.
   Dim oDoc As AssemblyDocument
   Set oDoc = ThisApplication.Documents.Open(strFullDocumentName)
End Sub
[/CODE]Он не должен вызвать затруднений с переводом на iLogic)))
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]n0b0dy пишет:
Пробовал, но безрезультатно.[/QUOTE]Чудес не бывает. А какой командой вставляете специю? Фокус в том, что если подключено Пояснение (ESKD), то родную специю не вставить, панель с этой командой спрятана, кнопку для вставки приходится вытаскивать отдельно... Скрин специи может покажите? И скрин меню по ПКМ на ней?...
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]n0b0dy пишет:
Что-то не так жму?[/QUOTE]Стоп! В какой специи он не появляется, в той, что вставлена в чертеж? Правильно, вы же редактируете не саму специю, а стиль. Нужно специю на чертеже удалить (у ней старый стиль) и вставить новую...)
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]n0b0dy пишет:
А в родную специф как запихать кастомные переменные? [/QUOTE]Точно также, как и в таблицу, только здесь они отображаются. Вот для примера легко добавил колонку с габаритом деталей (см. скрин)
ptl.png (64.06 КБ)
Сброс значения библиотечной детали, Как программно сбросить "значение" что деталь не принадлежит Content Center
[QUOTE]Slava Vyivanchikov пишет:
Я такой макрос видел, но не могу найти...[/QUOTE]Было подобное и тоже не могу найти))) Но тут два момента:
1. Там кроме свойства Покупной, нуно было еще кучу свойств библиотеки обнулить(удалить)
2. А как быть с расположением этого файла?
Настройки спецификации, Оформительские настройки спецификации, размещаемой на чертеже
[QUOTE]Lamiglas пишет:
тот злосчастный перенос имеет блуждающий характер и я не могу определить закономерность.[/QUOTE]Вообще то это не специя, а обычная таблица, которая заполняется программно, там одни непонятки. Попробуй родную специю АИ настроить, там больше возможностей, здесь уже про это было...
Настройки спецификации, Оформительские настройки спецификации, размещаемой на чертеже
[QUOTE]Lamiglas пишет:
... некоторые строки почему-то не переносятся, хотя внешне они такой же длины.[/QUOTE]Не совсем похожи, во втором случае длина труб с копейками, попробуйте их убрать, есть подозрение, что превышается лимит на длину строк.
Своя форма в листе, создать
[QUOTE]alex1309 пишет:
А как этот чертеж как шаблон сохранить? чтоб в другие проекты вставить..?[/QUOTE]1.Как шаблон: поместить этот файл в папку (см. скрин).
2.В другие чертежи перенести утилитой "Мастер переноса ресурсов чертежа". Что тут непонятно?
темп.png (17.13 КБ)
Своя форма в листе, создать
[QUOTE]alex1309 пишет:
Работает только в одном проекте([/QUOTE]Если эта форма присутствует в папке дерева чертежа Чертежные ресурсы, то ее можно перенести (скопировать) в другие чертежи утилитой "Мастер переноса ресурсов чертежа"... (В меню Винды: Пуск -> Autodesk -> и т.д.)
Страницы: Пред. 1 2 3 4 5 6 7 8 9 10 11 ... 117 След.